- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QRadialGradient Class Reference

Search for all occurrences

## Detailed Description

Definition at line 290 of file qbrush.h.

`#include <qbrush.h>`

Inheritance diagram for QRadialGradient:
[legend]

List of all members.

## Public Member Functions
| QRadialGradient ()
| QRadialGradient (const QPointF &center, qreal radius, const QPointF &focalPoint)
| QRadialGradient (qreal cx, qreal cy, qreal radius, qreal fx, qreal fy)
| QRadialGradient (const QPointF &center, qreal radius)
| QRadialGradient (qreal cx, qreal cy, qreal radius)
QPointF | center () const
void | setCenter (const QPointF &center)
void | setCenter (qreal x, qreal y)
QPointF | focalPoint () const
void | setFocalPoint (const QPointF &focalPoint)
void | setFocalPoint (qreal x, qreal y)
qreal | radius () const
void | setRadius (qreal radius)

## Constructor & Destructor Documentation

QRadialGradient | ( |  | ) |

QRadialGradient | ( | const QPointF & | center,
|  | qreal | radius,
|  | const QPointF & | focalPoint
| ) |  |

QRadialGradient | ( | qreal | cx,
|  | qreal | cy,
|  | qreal | radius,
|  | qreal | fx,
|  | qreal | fy
| ) |  |

QRadialGradient | ( | const QPointF & | center,
|  | qreal | radius
| ) |  |

QRadialGradient | ( | qreal | cx,
|  | qreal | cy,
|  | qreal | radius
| ) |  |

## Member Function Documentation

QPointF center | ( |  | ) | const

Search for all occurrences

void setCenter | ( | const QPointF & | center | ) |

Search for all occurrences

void setCenter | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 302 of file qbrush.h.

    { setCenter(QPointF(x, y)); }

QPointF focalPoint | ( |  | ) | const

Search for all occurrences

void setFocalPoint | ( | const QPointF & | focalPoint | ) |

Search for all occurrences

void setFocalPoint | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 306 of file qbrush.h.

    { setFocalPoint(QPointF(x, y)); }

qreal radius | ( |  | ) | const

Search for all occurrences

void setRadius | ( | qreal | radius | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qbrush.h

QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient
QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient QRadialGradient